.profile-form {
	display: grid;
	grid-gap: 24px;
	padding: 16px;
	border: 1px solid var(--whisper-100);
	border-radius: 12px;
}

.profile-form__user-btns {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	gap: 12px;
	margin-bottom: 12px;
}

.profile-user__photo {
	position: relative;
	width: 240px;
	height: 240px;
	margin: 0 auto 10px;
}

.profile-user__photo img {
	width: 100%;
	height: 100%;
	object-fit: cover;
	border-radius: 50%;
}

.button-file-upload {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	max-width: max-content;
	height: 50px;
	display: grid;
	align-items: center;
	grid-template-columns: 20px auto;
	grid-gap: 8px;
	padding: 0 16px;
	background: var(--comet-100);
	color: var(--whisper-950);
	font-size: 14px;
	font-weight: 600;
	margin: auto;
	border-radius: 12px;
	cursor: pointer;
	transition: background ease .1s;
}

.button-file-upload:hover {
	background: var(--comet-200);
}

.button-file-upload .svg-icon {
	font-size: 20px;
}

#file-upload {
	display: none;
}

.profile-user__copyright {
	text-align: center;
	font-size: 14px;
	color: var(--whisper-500);
	line-height: 24px;
}

.profile-form__title {
	color: var(--whisper-950);
	font-weight: 600;
	line-height: 24px;
	margin-bottom: 16px;
}

.profile-form__fields {
	display: grid;
	grid-gap: 16px;
}

.profile-form__fields:not(.last) {
	padding-bottom: 24px;
	margin-bottom: 24px;
	border-bottom: 1px solid var(--whisper-200);
}

.profile-form__field-label {
	display: block;
	color: var(--whisper-600);
	font-size: 14px;
	line-height: 20px;
	margin-bottom: 8px;
}

.profile-form__field-relative {
	position: relative;
}

.profile-form__input {
	width: 100%;
}

.profile-form__input[type="date"]::-webkit-calendar-picker-indicator {
	display: none;
	-webkit-appearance: none;
	-moz-appearance: textfield;
}

.profile-form__field-ico {
	position: absolute;
	top: 50%;
	right: 16px;
	transform: translateY(-50%);
	width: 20px;
	height: 20px;
	border: none;
	background: none;
	padding: 0;
	background-repeat: no-repeat;
	background-position: center;
	background-size: 20px;
}

.profile-form__field-ico.password {
	background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTIuMDE2NzcgMTAuNTk0M0MxLjkwMzI4IDEwLjQxNDYgMS44NDY1NCAxMC4zMjQ4IDEuODE0NzcgMTAuMTg2MkMxLjc5MDkxIDEwLjA4MjEgMS43OTA5MSA5LjkxNzkyIDEuODE0NzcgOS44MTM4M0MxLjg0NjU0IDkuNjc1MjQgMS45MDMyOCA5LjU4NTM5IDIuMDE2NzcgOS40MDU2OUMyLjk1NDYxIDcuOTIwNzEgNS43NDYxNyA0LjE2NjY3IDEwLjAwMDMgNC4xNjY2N0MxNC4yNTQ1IDQuMTY2NjcgMTcuMDQ2MSA3LjkyMDcxIDE3Ljk4MzkgOS40MDU2OUMxOC4wOTc0IDkuNTg1MzkgMTguMTU0MSA5LjY3NTI0IDE4LjE4NTkgOS44MTM4M0MxOC4yMDk4IDkuOTE3OTIgMTguMjA5OCAxMC4wODIxIDE4LjE4NTkgMTAuMTg2MkMxOC4xNTQxIDEwLjMyNDggMTguMDk3NCAxMC40MTQ2IDE3Ljk4MzkgMTAuNTk0M0MxNy4wNDYxIDEyLjA3OTMgMTQuMjU0NSAxNS44MzMzIDEwLjAwMDMgMTUuODMzM0M1Ljc0NjE3IDE1LjgzMzMgMi45NTQ2MSAxMi4wNzkzIDIuMDE2NzcgMTAuNTk0M1oiIHN0cm9rZT0iIzkwODQ5OSIgc3Ryb2tlLXdpZHRoPSIxLjUiIHN0cm9rZS1saW5lY2FwPSJyb3VuZCIgc3Ryb2tlLWxpbmVqb2luPSJyb3VuZCIvPgo8cGF0aCBkPSJNMTAuMDAwMyAxMi41QzExLjM4MSAxMi41IDEyLjUwMDMgMTEuMzgwNyAxMi41MDAzIDEwQzEyLjUwMDMgOC42MTkyOSAxMS4zODEgNy41MDAwMSAxMC4wMDAzIDcuNTAwMDFDOC42MTk2MiA3LjUwMDAxIDcuNTAwMzQgOC42MTkyOSA3LjUwMDM0IDEwQzcuNTAwMzQgMTEuMzgwNyA4LjYxOTYyIDEyLjUgMTAuMDAwMyAxMi41WiIgc3Ryb2tlPSIjOTA4NDk5IiBzdHJva2Utd2lkdGg9IjEuNSIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPgo=");
}

.profile-form__field-ico.password.show {
	background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTguOTUyNDUgNC4yNDM2QzkuMjkxMTMgNC4xOTM1MyA5LjY0MDUxIDQuMTY2NjcgMTAuMDAwMyA0LjE2NjY3QzE0LjI1NDUgNC4xNjY2NyAxNy4wNDYxIDcuOTIwNyAxNy45ODM5IDkuNDA1NjlDMTguMDk3NCA5LjU4NTQyIDE4LjE1NDIgOS42NzUyOCAxOC4xODU5IDkuODEzODlDMTguMjA5OCA5LjkxNzk5IDE4LjIwOTggMTAuMDgyMiAxOC4xODU5IDEwLjE4NjNDMTguMTU0MSAxMC4zMjQ5IDE4LjA5NyAxMC40MTU0IDE3Ljk4MjcgMTAuNTk2M0MxNy43MzI4IDEwLjk5MTggMTcuMzUxOCAxMS41NDc2IDE2Ljg0NzEgMTIuMTUwNE01LjYwMzYgNS41OTU4NkMzLjgwMTg3IDYuODE4MDggMi41Nzg3MSA4LjUxNjE1IDIuMDE3NTkgOS40MDQ0QzEuOTAzNTcgOS41ODQ4OSAxLjg0NjU2IDkuNjc1MTQgMS44MTQ3OCA5LjgxMzczQzEuNzkwOTEgOS45MTc4MyAxLjc5MDkgMTAuMDgyIDEuODE0NzYgMTAuMTg2MUMxLjg0NjUyIDEwLjMyNDcgMS45MDMyOCAxMC40MTQ2IDIuMDE2NzggMTAuNTk0M0MyLjk1NDYyIDEyLjA3OTMgNS43NDYxOCAxNS44MzMzIDEwLjAwMDMgMTUuODMzM0MxMS43MTU3IDE1LjgzMzMgMTMuMTkzMiAxNS4yMjMgMTQuNDA3MyAxNC4zOTcyTTIuNTAwMzUgMi41TDE3LjUwMDMgMTcuNU04LjIzMjU4IDguMjMyMjNDNy43ODAxNyA4LjY4NDY0IDcuNTAwMzUgOS4zMDk2NCA3LjUwMDM1IDEwQzcuNTAwMzUgMTEuMzgwNyA4LjYxOTYzIDEyLjUgMTAuMDAwMyAxMi41QzEwLjY5MDcgMTIuNSAxMS4zMTU3IDEyLjIyMDIgMTEuNzY4MSAxMS43Njc4IiBzdHJva2U9IiM5MDg0OTkiIHN0cm9rZS13aWR0aD0iMS41IiBzdHJva2UtbGluZWNhcD0icm91bmQiIHN0cm9rZS1saW5lam9pbj0icm91bmQiLz4KPC9zdmc+Cg==")
}

.profile-form__field-ico.calendar {
	background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMjAiIGhlaWdodD0iMjAiIHZpZXdCb3g9IjAgMCAyMCAyMCIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTE3LjUgOC4zMzMyOUgyLjVNMTMuMzMzMyAxLjY2NjYzVjQuOTk5OTZNNi42NjY2NyAxLjY2NjYzVjQuOTk5OTZNNi41IDE4LjMzMzNIMTMuNUMxNC45MDAxIDE4LjMzMzMgMTUuNjAwMiAxOC4zMzMzIDE2LjEzNSAxOC4wNjA4QzE2LjYwNTQgMTcuODIxMSAxNi45ODc4IDE3LjQzODcgMTcuMjI3NSAxNi45NjgzQzE3LjUgMTYuNDMzNSAxNy41IDE1LjczMzQgMTcuNSAxNC4zMzMzVjcuMzMzMjlDMTcuNSA1LjkzMzE2IDE3LjUgNS4yMzMxIDE3LjIyNzUgNC42OTgzMkMxNi45ODc4IDQuMjI3OTEgMTYuNjA1NCAzLjg0NTQ2IDE2LjEzNSAzLjYwNTc4QzE1LjYwMDIgMy4zMzMyOSAxNC45MDAxIDMuMzMzMjkgMTMuNSAzLjMzMzI5SDYuNUM1LjA5OTg3IDMuMzMzMjkgNC4zOTk4IDMuMzMzMjkgMy44NjUwMiAzLjYwNTc4QzMuMzk0NjIgMy44NDU0NiAzLjAxMjE3IDQuMjI3OTEgMi43NzI0OCA0LjY5ODMyQzIuNSA1LjIzMzEgMi41IDUuOTMzMTYgMi41IDcuMzMzMjlWMTQuMzMzM0MyLjUgMTUuNzMzNCAyLjUgMTYuNDMzNSAyLjc3MjQ4IDE2Ljk2ODNDMy4wMTIxNyAxNy40Mzg3IDMuMzk0NjIgMTcuODIxMSAzLjg2NTAyIDE4LjA2MDhDNC4zOTk4IDE4LjMzMzMgNS4wOTk4NyAxOC4zMzMzIDYuNSAxOC4zMzMzWiIgc3Ryb2tlPSIjOTA4NDk5IiBzdHJva2Utd2lkdGg9IjEuNSIgc3Ryb2tlLWxpbmVjYXA9InJvdW5kIiBzdHJva2UtbGluZWpvaW49InJvdW5kIi8+Cjwvc3ZnPgo=");
	cursor: default;
}

.profile-form__btns {
	display: flex;
	align-items: center;
	flex-wrap: wrap;
	gap: 16px;
	margin-top: 16px;
}

.profile-form__btns input[type="submit"] {
	display: none;
}

.profile-form__btn {
	flex: 1;
	white-space: nowrap;
}

.error p {
	background: linear-gradient(0deg, #cd171f, #cd171f),
	linear-gradient(90deg, #00a3ff 0%, #0271c0 100%);
	border-radius: 8px;
	color: #fff;
	font-size: 16px;
	line-height: 20px;
	padding: 15px;
}

.messages p {
	background: #34c759;
	border-radius: 8px;
	color: #fff;
	font-size: 16px;
	line-height: 20px;
	padding: 15px;
}

.wprv-box__lk {
	max-width: 288px !important;
	max-height: initial !important;
	margin: 12px auto 0 auto !important;
}

.page-profile--footer {
	display: grid;
	align-items: flex-start;
	grid-gap: 24px;
	margin-top: 23px;
}

.page-profile--footer .main-bonus {
	margin-bottom: 0;
	border-radius: 12px;
}

.room-profile {
	position: relative;
}

.room-profile__label {
	position: relative;
	display: inline-block;
	font-size: 11px;
	font-weight: 600;
	color: #fff;
	text-transform: uppercase;
	background: var(--radical-red-500);
	padding: 2px 10px 12px 10px;
	border-radius: 12px 12px 0 0;
	line-height: 12px;
	margin-bottom: -12px;
	z-index: -1;
}

.room-profile__header {
	display: grid;
	align-items: flex-start;
	grid-template-columns: 150px 1fr;
	grid-gap: 12px;

	padding: 6px 6px 24px 6px;
	color: #fff;
	background: var(--whisper-950);
	border-radius: 12px 12px 0 0;
}

.room-profile__header-side {
	position: relative;
}

.room-profile__header-logo {
	display: block;
	padding: 30px 7px 0 7px;
}

.room-profile__header-logo img {
	width: 100%;
	height: 100%;
	object-fit: contain;
}

.room-profile__header-position {
	position: absolute;
	top: 0;
	left: 0;
	width: 24px;
	height: 24px;
	font-size: 12px;
	background: var(--whisper-900);
	text-align: center;
	line-height: 24px;
	border-radius: 8px;
}

.room-profile__header-rating {
	position: absolute;
	top: 2px;
	right: 5px;
	display: flex;
	align-items: center;
	gap: 1px;
	font-size: 14px;
	font-weight: 600;
}

.room-profile__header-rating .svg-icon {
	font-size: 16px;
	color: var(--mustard-400);
}

.room-profile__header-name {
	color: #fff;
	font-weight: 600;
	line-height: 20px;
	transition: color ease .1s;
}

.room-profile__header-name:hover {
	color: var(--whisper-100);
}

.room-profile__header-links {
	display: flex;
	align-items: center;
	gap: 20px;
	margin: 8px 0 12px;
}

.room-profile__header-link {
	display: flex;
	align-items: center;
	gap: 4px;
	font-size: 14px;
	color: var(--whisper-300);
	text-decoration: underline;
	text-underline-position: under;
	transition: color ease .1s;
}

.room-profile__header-link:hover {
	color: var(--whisper-100);
}

.room-profile__header-link .svg-icon {
	font-size: 20px;
}

.room-profile__header-platforms {
	display: flex;
	flex-wrap: wrap;
	gap: 8px;
}

.room-profile__header-platform {
	display: flex;
	align-items: center;
	justify-content: center;

	width: 40px;
	height: 40px;
	font-size: 20px;
	color: #fff;
	box-shadow: 0 0 0 1px var(--whisper-800);
	border-radius: 12px;
	transition: box-shadow ease .1s;
}

a.room-profile__header-platform:hover {
	box-shadow: 0 0 0 1px var(--whisper-300);
}

.room-profile__body {
	padding: 12px;
	margin-top: -12px;
	background: var(--comet-50);
	border-radius: 12px;
}

.room-profile__body-inside {
	padding: 12px;
	box-shadow: 0 0 0 1px var(--azure-radiance-200);
	border-radius: 12px;
}

.room-profile__body-bonus {
	color: var(--whisper-950);
	text-align: center;
	font-weight: 600;
	line-height: 24px;
	margin-bottom: 12px;
}

.room-profile__body-btns {
	display: grid;
	grid-template-columns: 1fr 1fr;
	grid-gap: 12px;
}

.room-profile__body-btn.room-profile__body-btn--download:not(:empty) ~ .room-profile__body-btn--review {
	display: none;
}

@media (min-width: 991px) {
	.page-profile--footer {
		grid-template-columns: 1fr 362px;
	}
}

@media (min-width: 768px) {
	.wprv-box__lk {
		max-width: 288px !important;
		max-height: initial !important;
	}

	.profile-form {
		grid-template-columns: 306px 1fr;
		padding: 24px;
	}

	.profile-form__field {
		max-width: 370px;
	}

	.profile-form__btn {
		flex: 0;
	}
}
